"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
        return _default;
    }
});
const _state = require("@codemirror/state");
const quote = (view)=>{
    const { state } = view;
    const { doc } = state;
    view.dispatch(view.state.changeByRange((range)=>{
        const startLine = doc.lineAt(range.from);
        const text = doc.slice(range.from, range.to);
        const lineCount = text.lines;
        const changes = [];
        let selectionStart = range.from;
        let selectionLength = range.to - range.from;
        new Array(lineCount).fill(0).forEach((_, index)=>{
            const line = doc.line(startLine.number + index);
            if (line.text.startsWith('> ')) {
                return;
            }
            changes.push({
                from: line.from,
                insert: '> '
            });
            if (index === 0) {
                selectionStart = selectionStart + 2;
            } else {
                selectionLength += 2;
            }
        });
        return {
            changes,
            range: _state.EditorSelection.range(selectionStart, selectionStart + selectionLength)
        };
    }));
    view.focus();
    return true;
};
const _default = quote;
