"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function() {
        return _default;
    }
});
const _state = require("@codemirror/state");
const strike = (view)=>{
    const currentRange = view.state.selection.main;
    if (currentRange.from >= 2) {
        const charStart = view.state.sliceDoc(currentRange.from - 2, currentRange.from);
        const chatEnd = view.state.sliceDoc(currentRange.to, currentRange.to + 2);
        if (charStart === '~~' && chatEnd === '~~') {
            view.focus();
            return false;
        }
    }
    view.dispatch(view.state.changeByRange((range)=>{
        return {
            changes: [
                {
                    from: range.from,
                    insert: '~~'
                },
                {
                    from: range.to,
                    insert: '~~'
                }
            ],
            range: _state.EditorSelection.range(range.from + 2, range.to + 2)
        };
    }));
    view.focus();
    return true;
};
const _default = strike;
